GNU bug report logs - #18990
[gtk] Setting narrow scrollbar width doesn't have effect

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Stephen Berman <stephen.berman@HIDDEN>; dated Fri, 7 Nov 2014 23:01:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'minor' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to '[gtk] Setting narrow scrollbar width doesn't have effect' from '25.0.50; Scroll bar display problems' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 9 Nov 2014 12:07:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 09 07:07:37 2014
Received: from localhost ([127.0.0.1]:54259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XnRHN-00032u-2E
	for submit <at> debbugs.gnu.org; Sun, 09 Nov 2014 07:07:37 -0500
Received: from mailfe01.swip.net ([212.247.154.1]:34964 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XnRHJ-00032k-Rq
 for 18990 <at> debbugs.gnu.org; Sun, 09 Nov 2014 07:07:34 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe01.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 542250563; Sun, 09 Nov 2014 13:07:29 +0100
Message-ID: <545F5900.1030009@HIDDEN>
Date: Sun, 09 Nov 2014 13:07:28 +0100
From: "Jan D." <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.10;
 rv:31.0) Gecko/20100101 Thunderbird/31.2.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
References: <87ioiqaa63.fsf@HIDDEN>
 <83tx2aqg8p.fsf@HIDDEN>	<1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>	<87lhnlzs2k.fsf@HIDDEN>
 <545E3357.4050308@HIDDEN>	<87d28xznjs.fsf@HIDDEN>
 <545E4C3B.7010605@HIDDEN> <8761epz99y.fsf@HIDDEN>
 <545F565E.9080406@HIDDEN>
In-Reply-To: <545F565E.9080406@HIDDEN>
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18990
Cc: Eli Zaretskii <eliz@HIDDEN>, 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

martin rudalics skrev den 2014-11-09 12:56:

> IIRC GTK uses the term "slider" for "thumb".
>
>  > (According to Wikipedia, a slider is a different kind of widget from a
>  > scroll bar, but I didn't try checking other sources.)  If so, are you
>  > saying that Gtk only controls the width (or height) of the slider
>  > (thumb), while Emacs controls the size of its container, which I guess
>  > is the scroll bar taken as a whole?
>
> I think so.  Depending on the toolkit Emacs can control size, background
> and borders of the container.  The GTK slider is controlled by the theme
> though.  Jan will correct me.
>

We also control the size of the thumb/slider.
Some Gtk+ themes have a minimum size for the thumb though (bitmap).
The width of the slider is beyond Emacs control.

	Jan D.







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 9 Nov 2014 11:56:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 09 06:56:36 2014
Received: from localhost ([127.0.0.1]:54244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XnR6h-0002ls-QK
	for submit <at> debbugs.gnu.org; Sun, 09 Nov 2014 06:56:36 -0500
Received: from mout.gmx.net ([212.227.17.22]:59012)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1XnR6d-0002lf-D7
 for 18990 <at> debbugs.gnu.org; Sun, 09 Nov 2014 06:56:32 -0500
Received: from [178.191.143.28] ([178.191.143.28]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0LjvV7-1YKJ513e8H-00buaA;
 Sun, 09 Nov 2014 12:56:27 +0100
Message-ID: <545F565E.9080406@HIDDEN>
Date: Sun, 09 Nov 2014 12:56:14 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
References: <87ioiqaa63.fsf@HIDDEN>
 <83tx2aqg8p.fsf@HIDDEN>	<1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>	<87lhnlzs2k.fsf@HIDDEN>
 <545E3357.4050308@HIDDEN>	<87d28xznjs.fsf@HIDDEN>
 <545E4C3B.7010605@HIDDEN> <8761epz99y.fsf@HIDDEN>
In-Reply-To: <8761epz99y.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:YMi00ROEi4DKJvaTfT3EWFbYLCRvkCb6ElBXGyCj5XVCxpl73tA
 5GZBRWrxtsDigKxG4QHxhxmOKb5FHT+7F227c1s1CPA/7RdgSuhIMQhhtYPb4V+DqmHng5h
 dxakbffFcklzjqgcP6ZVFFUPtuBbrwWfQIoRIZFdD8ryJswyrNhGAXoh9sEegAkrODEkRTL
 9CNRpeqEwH/ebBnDg0vJg==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18990
Cc: Eli Zaretskii <eliz@HIDDEN>, "Jan D." <jan.h.d@HIDDEN>,
 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > As I mentioned (quoted below), I was already convinced by seeing the
 > horizontal scroll bar partially cover the mode line.  But by using a
 > separate minibuffer frame (I suppose that's what you mean by removing
 > the echo area),

That's what I meant, indeed.

 > I do indeed see the analog with the horizontal scroll
 > bar of what I see with the narrowed vertical scroll bar on the right: it
 > is at the very bottom of the frame and cut off.  Quite convincing,
 > indeed.  Thanks for the suggestion.
[...]
 > I'm not sure I understand the distinction you're making.  By "slider" do
 > you mean what is sometimes called the "thumb" of the scroll bar?

IIRC GTK uses the term "slider" for "thumb".

 > (According to Wikipedia, a slider is a different kind of widget from a
 > scroll bar, but I didn't try checking other sources.)  If so, are you
 > saying that Gtk only controls the width (or height) of the slider
 > (thumb), while Emacs controls the size of its container, which I guess
 > is the scroll bar taken as a whole?

I think so.  Depending on the toolkit Emacs can control size, background
and borders of the container.  The GTK slider is controlled by the theme
though.  Jan will correct me.

 >> Another problem is that currently we prescribe a minimum width for
 >> scroll bars which has parts of the scroll bar background change
 >> appearance when the Gtk slider is narrower.
 >
 > Not sure I understand; can you elaborate or tell me how I can see what
 > you mean?

I once posted a screenshot here

http://lists.gnu.org/archive/html/emacs-devel/2014-01/msg02228.html

It might be related to the fact that we prescribe a minimum width of the
scroll bar in update_theme_scrollbar_width but I've not yet found a
reliable fix yet.  See also bug#17982.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 21:13:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 16:13:05 2014
Received: from localhost ([127.0.0.1]:54018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XnDJg-0007Zn-Hx
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 16:13:04 -0500
Received: from mout.gmx.net ([212.227.15.15]:49169)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1XnDJb-0007ZB-Ox
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 16:13:01 -0500
Received: from rosalinde.fritz.box ([89.245.95.88]) by mail.gmx.com (mrgmx003)
 with ESMTPSA (Nemesis) id 0MCcvy-1XvUmx3EfK-009Mv3;
 Sat, 08 Nov 2014 22:12:57 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: "Jan D." <jan.h.d@HIDDEN>
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
References: <87ioiqaa63.fsf@HIDDEN> <83tx2aqg8p.fsf@HIDDEN>
 <1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>
 <87lhnlzs2k.fsf@HIDDEN> <545E3357.4050308@HIDDEN>
 <87d28xznjs.fsf@HIDDEN> <545E4C3B.7010605@HIDDEN>
 <D04FEF76-3667-4103-B1AF-6E8DAF56BF6A@HIDDEN>
Date: Sat, 08 Nov 2014 22:12:57 +0100
In-Reply-To: <D04FEF76-3667-4103-B1AF-6E8DAF56BF6A@HIDDEN> (Jan D.'s
 message of "Sat, 8 Nov 2014 18:21:42 +0100")
Message-ID: <874mu9z99i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:4FR1rhy7a7dD/OipjrXnOcVrnKREs6vdHmoJbhIlpAlPQ2MeXt7
 RM1WAP7RirrTxyPMLroHF7RN5v3BHr2zRutRiph4EBTNIvQGCD4RrI3p+JcZJyDOR4c42nE
 JemBRnTByR1P+Oom4dwqVdq9mNhEg7xMUSFmEnyB9nuaswHM/EBgr/+M6EtBf9te95UPkDe
 KBVQsLZZ5gdXLHh7edUcQ==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 18990
Cc: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On Sat, 8 Nov 2014 18:21:42 +0100 "Jan D." <jan.h.d@HIDDEN> wrote:

> Hi.
>
>> 8 nov 2014 kl. 18:00 skrev martin rudalics <rudalics@HIDDEN>:
>> 
>> > As I mentioned, I can't simply build both the Lucid and the Gtk builds
>> > on my system, apparently due to incompatible libpng requirements.
>> 
>> Maybe Jan has an idea.
>
> No, I build both no X, no toolkit, Lucid, Motif, Gtk2+ and Gtk3+ all the time.
> I have never had any libpng-problem.  Why not build Lucid --without-png?

That did the trick; thanks for the suggestion.  (Silly of me for not
thinking of it myself.)  So I can now confirm that the problem is indeed
only with the Gtk build.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 21:12:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 16:12:57 2014
Received: from localhost ([127.0.0.1]:54014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XnDJX-0007Yw-Md
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 16:12:56 -0500
Received: from mout.gmx.net ([212.227.15.19]:52312)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1XnDJS-0007Ye-Cm
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 16:12:51 -0500
Received: from rosalinde.fritz.box ([89.245.95.88]) by mail.gmx.com (mrgmx001)
 with ESMTPSA (Nemesis) id 0LlUZz-1YKtMz2drb-00bNuz;
 Sat, 08 Nov 2014 22:12:42 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
References: <87ioiqaa63.fsf@HIDDEN> <83tx2aqg8p.fsf@HIDDEN>
 <1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>
 <87lhnlzs2k.fsf@HIDDEN> <545E3357.4050308@HIDDEN>
 <87d28xznjs.fsf@HIDDEN> <545E4C3B.7010605@HIDDEN>
Date: Sat, 08 Nov 2014 22:12:41 +0100
In-Reply-To: <545E4C3B.7010605@HIDDEN> (martin rudalics's message of "Sat, 08
 Nov 2014 18:00:43 +0100")
Message-ID: <8761epz99y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:uIbiUVs0GvetRj/Qv/P+FZmXAFpeJjujJJ4qJ9+Dql0vmPLQ8PD
 h/6DyVBXY1iEcr4WMIuTuX5UKZWJz/IQ5gXEHWN1HJ0JteFf5Ppr5+MY9rnkUScwucceORH
 QZdL9f3u3QIK34t5Sp9UHdNZdhaxxPLlUkzRXSi5pNKUEzkIvXdUbJgi9YAWm1xSOiW30KF
 VHRRf3441BZs4RbsUyGlQ==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 18990
Cc: Eli Zaretskii <eliz@HIDDEN>, "Jan D." <jan.h.d@HIDDEN>,
 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On Sat, 08 Nov 2014 18:00:43 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>> That possibility didn't occur to me.  Is there some command I can call,
>> or some other way to convince myself that this is what is happening (not
>> that I don't believe you, I'd just like to understand it).
>
> I suppose the window manager simply crops everything that doesn't fit
> within its external borders.  You should be able to convince yourself
> for a single window frame by removing modeline and echo area and
> decreasing the height of the horizontal scroll bar.

As I mentioned (quoted below), I was already convinced by seeing the
horizontal scroll bar partially cover the mode line.  But by using a
separate minibuffer frame (I suppose that's what you mean by removing
the echo area), I do indeed see the analog with the horizontal scroll
bar of what I see with the narrowed vertical scroll bar on the right: it
is at the very bottom of the frame and cut off.  Quite convincing,
indeed.  Thanks for the suggestion.

>> And why does
>> it happen on the right but not on the left (nor on the right side of a
>> non-right window)?
>
> It doesn't happen on the left or for non-right windows because in this
> case the (default sized) scroll bar gets drawn into Emacs' client area
> and the window manager assumes that Emacs knows how to deal with it.

Ok.

>> I meant Emacs can make it thinner, since it didn't occur to me that the
>> appearance of the right scroll bar could be due to the WM.
>
> We must discriminate: Emacs reserves the area as you specify it.  Gtk
> draws its slider into that area alas with a width determined by the
> theme or a resource file.

>> Indeed: with (modify-all-frames-parameters '((scroll-bar-width . 32)))
>> the scroll bar
>
> ... more precisely, the slider ...
>
>> still has the default width but there are nearly equally
>> wide spaces on both sides of it (between the scroll and the fringe to
>> the left and between the scroll bar and the frame border to the right).
>> Ok, this convinces me that Emacs is not modifying the width.
>
> ... the width of the slider.

I'm not sure I understand the distinction you're making.  By "slider" do
you mean what is sometimes called the "thumb" of the scroll bar?
(According to Wikipedia, a slider is a different kind of widget from a
scroll bar, but I didn't try checking other sources.)  If so, are you
saying that Gtk only controls the width (or height) of the slider
(thumb), while Emacs controls the size of its container, which I guess
is the scroll bar taken as a whole?

>> As I mentioned, I can't simply build both the Lucid and the Gtk builds
>> on my system, apparently due to incompatible libpng requirements.
>
> Maybe Jan has an idea.

He did :)

>> Anyway, it seems that the appropriate fix for this bug it to make
>> modifying the scroll-bar-width and scroll-bar-height frame parameters
>> noops in Gtk builds.
>
> Another problem is that currently we prescribe a minimum width for
> scroll bars which has parts of the scroll bar background change
> appearance when the Gtk slider is narrower.

Not sure I understand; can you elaborate or tell me how I can see what
you mean?

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 17:21:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 12:21:46 2014
Received: from localhost ([127.0.0.1]:53891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xn9hq-0007WE-Ak
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 12:21:46 -0500
Received: from mailfe09.swip.net ([212.247.155.1]:42522 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Xn9ho-0007W5-S3
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 12:21:45 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe09.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 373509206; Sat, 08 Nov 2014 18:21:43 +0100
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.0 \(1990.1\))
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
From: "Jan D." <jan.h.d@HIDDEN>
In-Reply-To: <545E4C3B.7010605@HIDDEN>
Date: Sat, 8 Nov 2014 18:21:42 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <D04FEF76-3667-4103-B1AF-6E8DAF56BF6A@HIDDEN>
References: <87ioiqaa63.fsf@HIDDEN> <83tx2aqg8p.fsf@HIDDEN>
 <1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>
 <87lhnlzs2k.fsf@HIDDEN> <545E3357.4050308@HIDDEN>
 <87d28xznjs.fsf@HIDDEN> <545E4C3B.7010605@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1990.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18990
Cc: Eli Zaretskii <eliz@HIDDEN>, Stephen Berman <stephen.berman@HIDDEN>,
 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi.

> 8 nov 2014 kl. 18:00 skrev martin rudalics <rudalics@HIDDEN>:
>=20
> > As I mentioned, I can't simply build both the Lucid and the Gtk =
builds
> > on my system, apparently due to incompatible libpng requirements.
>=20
> Maybe Jan has an idea.

No, I build both no X, no toolkit, Lucid, Motif, Gtk2+ and Gtk3+ all the =
time.  I have never had any libpng-problem.  Why not build Lucid =
--without-png?

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 17:01:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 12:01:04 2014
Received: from localhost ([127.0.0.1]:53867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xn9Nn-0005g3-Nt
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 12:01:04 -0500
Received: from mout.gmx.net ([212.227.15.15]:52640)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Xn9Nl-0005fK-4i
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 12:01:02 -0500
Received: from [188.22.106.13] ([188.22.106.13]) by mail.gmx.com (mrgmx002)
 with ESMTPSA (Nemesis) id 0McmS9-1XVl5Q2l2P-00HuPO; Sat, 08 Nov 2014 18:00:53
 +0100
Message-ID: <545E4C3B.7010605@HIDDEN>
Date: Sat, 08 Nov 2014 18:00:43 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
References: <87ioiqaa63.fsf@HIDDEN>
 <83tx2aqg8p.fsf@HIDDEN>	<1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>	<87lhnlzs2k.fsf@HIDDEN>
 <545E3357.4050308@HIDDEN> <87d28xznjs.fsf@HIDDEN>
In-Reply-To: <87d28xznjs.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:8hqjRSd/4z8qHtBsptULEPEzzJ8+gxVjf+ZmCPiUBXAcLgkINyR
 NZxXpsLIfNTY01nO/gYdmE+cCHuCeSi+cP7xqDzCDDv3K6PGVHaCKJY9MhPmozS7HRw5Ca3
 WRpVM49Xr+bEeqrPFX4RGwesMnUTwPLuq/epPB96gQ7GdZ90Tg1kmfoi6Mr4wCZjv5cyo3H
 5TcMTJXUNPMuCWk3/Y+2A==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18990
Cc: Eli Zaretskii <eliz@HIDDEN>, "Jan D." <jan.h.d@HIDDEN>,
 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > That possibility didn't occur to me.  Is there some command I can call,
 > or some other way to convince myself that this is what is happening (not
 > that I don't believe you, I'd just like to understand it).

I suppose the window manager simply crops everything that doesn't fit
within its external borders.  You should be able to convince yourself
for a single window frame by removing modeline and echo area and
decreasing the height of the horizontal scroll bar.

 > And why does
 > it happen on the right but not on the left (nor on the right side of a
 > non-right window)?

It doesn't happen on the left or for non-right windows because in this
case the (default sized) scroll bar gets drawn into Emacs' client area
and the window manager assumes that Emacs knows how to deal with it.

 > I meant Emacs can make it thinner, since it didn't occur to me that the
 > appearance of the right scroll bar could be due to the WM.

We must discriminate: Emacs reserves the area as you specify it.  Gtk
draws its slider into that area alas with a width determined by the
theme or a resource file.

 > Indeed: with (modify-all-frames-parameters '((scroll-bar-width . 32)))
 > the scroll bar

... more precisely, the slider ...

 > still has the default width but there are nearly equally
 > wide spaces on both sides of it (between the scroll and the fringe to
 > the left and between the scroll bar and the frame border to the right).
 > Ok, this convinces me that Emacs is not modifying the width.

... the width of the slider.

 > As I mentioned, I can't simply build both the Lucid and the Gtk builds
 > on my system, apparently due to incompatible libpng requirements.

Maybe Jan has an idea.

 > Anyway, it seems that the appropriate fix for this bug it to make
 > modifying the scroll-bar-width and scroll-bar-height frame parameters
 > noops in Gtk builds.

Another problem is that currently we prescribe a minimum width for
scroll bars which has parts of the scroll bar background change
appearance when the Gtk slider is narrower.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 16:04:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 11:04:34 2014
Received: from localhost ([127.0.0.1]:53836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xn8V7-0004H6-Qe
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 11:04:34 -0500
Received: from mout.gmx.net ([212.227.15.15]:61037)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1Xn8V4-0004Gu-BT
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 11:04:31 -0500
Received: from rosalinde.fritz.box ([89.245.95.88]) by mail.gmx.com (mrgmx001)
 with ESMTPSA (Nemesis) id 0MBmvH-1XuWER1dR9-00AoNF;
 Sat, 08 Nov 2014 17:04:24 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
References: <87ioiqaa63.fsf@HIDDEN> <83tx2aqg8p.fsf@HIDDEN>
 <1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>
 <87lhnlzs2k.fsf@HIDDEN> <545E3357.4050308@HIDDEN>
Date: Sat, 08 Nov 2014 17:04:23 +0100
In-Reply-To: <545E3357.4050308@HIDDEN> (martin rudalics's message of "Sat, 08
 Nov 2014 16:14:31 +0100")
Message-ID: <87d28xznjs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:OA/2VahOWmyKWHW0z6XdbECAPc140dshTkAmqzjUApWiZWyEMz+
 sB2ET2V4qCvogMyNjbX7yP3fYHUOBbAHraIR1jld1dm8NzC0hLcURrZwZKO7P9KdzGHOXcG
 pddGPXDihs2MEmgy9t2n9Ma48O8KNGY5kphD0yHPOUR9RsyhdXCN2X4bmjg176jXGgjqLfr
 c7mSfGwUZfZtfluVMwwwA==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 18990
Cc: Eli Zaretskii <eliz@HIDDEN>, "Jan D." <jan.h.d@HIDDEN>,
 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On Sat, 08 Nov 2014 16:14:31 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>> This is not what I observe: I have no setting for the scroll bar in a
>> Gtk config file, but when I start emacs with -Q --eval
>> "(modify-all-frames-parameters '((scroll-bar-width . 7)))", then the
>> scroll bar is displayed thin on the right, unlike when I make it be on
>> the left, and the right fringe is not overlaid by the scroll bar like the
>> left fringe is; see the attached screen shot.  The thin scroll bar looks
>> crappy and clearly is not being properly modified as a toolkit widget,
>
> In the attached screenshot the left scroll bar is displayed in its
> default width (you didn't tell us that value so far)

With -Q (frame-parameters) includes this: (scroll-bar-width . 16).  With
the above invocation (frame-parameters) instead has (scroll-bar-width . 7).

>                                                      partially
> overlaying the left fringe of the window on the right.

Ah, indeed.  I hadn't noticed that, only that the right fringe of the
left window is not hidden.

>                                                         The right scroll
> bar is cropped at the external border (by the window manager).

That possibility didn't occur to me.  Is there some command I can call,
or some other way to convince myself that this is what is happening (not
that I don't believe you, I'd just like to understand it).  And why does
it happen on the right but not on the left (nor on the right side of a
non-right window)?

>> but just as clearly Emacs is able to modify it.
>
> You mean that Emacs can move the slider?

I meant Emacs can make it thinner, since it didn't occur to me that the
appearance of the right scroll bar could be due to the WM.

>> I guess the easiest
>> solution would be to make modifying the Gtk scroll bar a noop.
>
> The width and the height, yes.  The position can be modified without
> problems.

Of course, I only meant the width (also the height of the horizontal
scroll bar).

>> I hadn't noticed this before, but the attached screen shot confirms it.
>> Interestingly, the right fringe of the left window is not hidden.
>
> Emacs tells Gtk where to put it.  Make `scroll-bar-width' very wide and
> you should be able to see how Gtk reacts.

Indeed: with (modify-all-frames-parameters '((scroll-bar-width . 32)))
the scroll bar still has the default width but there are nearly equally
wide spaces on both sides of it (between the scroll and the fringe to
the left and between the scroll bar and the frame border to the right).
Ok, this convinces me that Emacs is not modifying the width.

>> Do you mean that the above invocation should also make the horizontal
>> scroll bar thinner?
>
> No.  The corresponding frame parameter is called `scroll-bar-height'.
> Some systems allow different values for height and width of scroll bars.

Ah, ok. With -Q and the horizontal scroll bar enabled,
(frame-parameters) shows (scroll-bar-height . 16), and with -Q --eval
"(modify-all-frames-parameters '((scroll-bar-height . 7)))"
(frame-parameters) shows (scroll-bar-height . 7), but the horizontal
scroll bar is not thinner than with -Q, however, it partially obscures
the mode line, which is even worse than the display problem with the
vertical scroll bar on the left.

>>(Does it with the Lucid build?)  If so, then I can
>> confirm that it isn't thinner for me; but I haven't seen any display
>> glitches either with the horizontal scroll bar like I have with the
>> vertical scroll bar on the left.
>
> I think you need Xaw3d support for Lucid scroll bars.  Both Lucid and
> Motif scroll bars can be arbitrarily resized here.

As I mentioned, I can't simply build both the Lucid and the Gtk builds
on my system, apparently due to incompatible libpng requirements.

Anyway, it seems that the appropriate fix for this bug it to make
modifying the scroll-bar-width and scroll-bar-height frame parameters
noops in Gtk builds.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 15:14:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 10:14:48 2014
Received: from localhost ([127.0.0.1]:53801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xn7iy-0002wl-EA
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 10:14:48 -0500
Received: from mout.gmx.net ([212.227.15.15]:65153)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Xn7iv-0002wd-PX
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 10:14:47 -0500
Received: from [178.191.140.15] ([178.191.140.15]) by mail.gmx.com (mrgmx002)
 with ESMTPSA (Nemesis) id 0MRWzQ-1XcAPJ2I4u-00Segy;
 Sat, 08 Nov 2014 16:14:41 +0100
Message-ID: <545E3357.4050308@HIDDEN>
Date: Sat, 08 Nov 2014 16:14:31 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>, 
 "Jan D." <jan.h.d@HIDDEN>
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
References: <87ioiqaa63.fsf@HIDDEN>
 <83tx2aqg8p.fsf@HIDDEN>	<1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>
 <87lhnlzs2k.fsf@HIDDEN>
In-Reply-To: <87lhnlzs2k.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:YtnzJnXxnBHYTdcC70eCQWH8oVsh7NKJGy3FeFBb7Ol8q85hhHz
 r7Z2hk1JdHEFWj7Y/16326HKsI/Ukcddyr5uITDQ0Np8UiSK7f3Kq39eEelerqDVdfWMHwt
 b+s4mTgLvfKxosipHCqcgFtaDff5j4gMdx39RJkfgb8tSU4weVuXZG8C/uh/PhMi4RTvooC
 MtKMaFeekKENmZRbsjnfw==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18990
Cc: Eli Zaretskii <eliz@HIDDEN>, 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > This is not what I observe: I have no setting for the scroll bar in a
 > Gtk config file, but when I start emacs with -Q --eval
 > "(modify-all-frames-parameters '((scroll-bar-width . 7)))", then the
 > scroll bar is displayed thin on the right, unlike when I make it be on
 > the left, and the right fringe is not overlaid by the scroll bar like the
 > left fringe is; see the attached screen shot.  The thin scroll bar looks
 > crappy and clearly is not being properly modified as a toolkit widget,

In the attached screenshot the left scroll bar is displayed in its
default width (you didn't tell us that value so far) partially
overlaying the left fringe of the window on the right.  The right scroll
bar is cropped at the external border (by the window manager).

 > but just as clearly Emacs is able to modify it.

You mean that Emacs can move the slider?

 > I guess the easiest
 > solution would be to make modifying the Gtk scroll bar a noop.

The width and the height, yes.  The position can be modified without
problems.

 > I hadn't noticed this before, but the attached screen shot confirms it.
 > Interestingly, the right fringe of the left window is not hidden.

Emacs tells Gtk where to put it.  Make `scroll-bar-width' very wide and
you should be able to see how Gtk reacts.

 > Do you mean that the above invocation should also make the horizontal
 > scroll bar thinner?

No.  The corresponding frame parameter is called `scroll-bar-height'.
Some systems allow different values for height and width of scroll bars.

 >(Does it with the Lucid build?)  If so, then I can
 > confirm that it isn't thinner for me; but I haven't seen any display
 > glitches either with the horizontal scroll bar like I have with the
 > vertical scroll bar on the left.

I think you need Xaw3d support for Lucid scroll bars.  Both Lucid and
Motif scroll bars can be arbitrarily resized here.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 14:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 09:26:54 2014
Received: from localhost ([127.0.0.1]:53456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xn6yb-0001jC-I9
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 09:26:54 -0500
Received: from mout.gmx.net ([212.227.15.19]:52576)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1Xn6yW-0001j1-Sj
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 09:26:50 -0500
Received: from rosalinde.fritz.box ([89.245.95.88]) by mail.gmx.com (mrgmx003)
 with ESMTPSA (Nemesis) id 0MC4y8-1XvsOr2lYu-008orI;
 Sat, 08 Nov 2014 15:26:47 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: "Jan D." <jan.h.d@HIDDEN>
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
References: <87ioiqaa63.fsf@HIDDEN> <83tx2aqg8p.fsf@HIDDEN>
 <1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>
Date: Sat, 08 Nov 2014 15:26:43 +0100
In-Reply-To: <1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN> (Jan D.'s
 message of "Sat, 8 Nov 2014 09:57:59 +0100")
Message-ID: <87lhnlzs2k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K0:ZrftY5xiDP77GSWb43jgbwDriOyq6Y/Ef5zCvWuDyVE81ARzp4o
 kVtf1bY/JzgKRHNupZnhMK4UOAW7vfN5G0TB/UC8rjPiTSk9qBZqZTwz3JZARHzRvPlGhO3
 g72/CPElkBLozc4pBjr1M6kER9Vj0wTMsnxOd2zv2j2pwc2LO8/ZB3y/2mgsrZ0hkUMjBck
 Y5z7TkDteYaej5nJVcz/w==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 18990
Cc: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

--=-=-=
Content-Type: text/plain

On Sat, 8 Nov 2014 09:57:59 +0100 "Jan D." <jan.h.d@HIDDEN> wrote:

> Hi.
>
>> 8 nov 2014 kl. 08:54 skrev Eli Zaretskii <eliz@HIDDEN>:
>> 
>>> From: Stephen Berman <stephen.berman@HIDDEN>
>>> Date: Sat, 08 Nov 2014 00:00:20 +0100
>>> 
>>> Starting Emacs like this:
>>> 
>>> emacs -Q --eval "(progn (modify-all-frames-parameters '((scroll-bar-width
>>> . 7))) (custom-set-variables '(scroll-bar-mode (quote left))))"
>>> 
>>> the scroll bar is correctly display on the left, but its width is the
>>> default, not the customized value, and it overlays the left fringe,
>>> which is hence hidden.
[...]
>> 
>> Sounds like a GTK thing to me.  Does this happen if you use a
>> different toolkit, like lucid or athena?

Trying to build with the Lucid toolkit errors out when trying to link
with libpng16, which I think is required here for the Gtk3 build to
succeed (at least I remember having this problem in the past, but I
haven't pursued it since I generally prefer the Gtk build anyway).

> Some Gtk+ themes force a fixed width scrollbar, because they use bitmaps.
> Emacs can set scroll bar width all it wants, it wont matter to the Gtk+ scroll bar.
> It is difficult to solve. 

The problem occurs with both Gtk+ themes I currently have on my system;
however, it is evidently not due to the scroll bar's width being fixed
(at least for Emacs), see below.

On Sat, 08 Nov 2014 09:54:27 +0100 martin rudalics <rudalics@HIDDEN> wrote:

> There are two ways to change the width or height of a scroll bar with
> GTK: Either by choosing an appropriate theme or by setting the
> slider-width in a configuration file.  You can't change the size
> individually from within Emacs and IMO we should prevent users from
> trying to do so.  What happens currently is that Emacs internally uses
> the height you specified and GTK continues to draw the scroolbar in its
> default size over it.

This is not what I observe: I have no setting for the scroll bar in a
Gtk config file, but when I start emacs with -Q --eval
"(modify-all-frames-parameters '((scroll-bar-width . 7)))", then the
scroll bar is displayed thin on the right, unlike when I make it be on
the left, and the right fringe is not overlaid by the scroll bar like the
left fringe is; see the attached screen shot.  The thin scroll bar looks
crappy and clearly is not being properly modified as a toolkit widget,
but just as clearly Emacs is able to modify it.  I guess the easiest
solution would be to make modifying the Gtk scroll bar a noop.

>> These display problems do not happen when the scroll bar is either on
>> the right or has its default width.
>
> There are similar problems, for example, with side-by-side windows.

I hadn't noticed this before, but the attached screen shot confirms it.
Interestingly, the right fringe of the left window is not hidden.

>> They also don't happen with the
>> non-toolkit-scroll-bar build.  They do happen with 24.3, the earliest
>> version I currently have (I don't have a non-toolkit-scroll-bar build of
>> 24.4 at hand but I guess it also has the problems).
>
> Non-GTK scroll bars should not have any such problems.
>
>> (I haven't noticed
>> these problems before, since I've been using non-toolkit-scroll-bar
>> builds for a long time, and only since the 24.4 release have switched to
>> the toolkit scroll bar on the trunk to be able to test the horizontal
>> scroll bar.)
>
> The GTK horizontal scroll bar has similar problems.

Do you mean that the above invocation should also make the horizontal
scroll bar thinner? (Does it with the Lucid build?)  If so, then I can
confirm that it isn't thinner for me; but I haven't seen any display
glitches either with the horizontal scroll bar like I have with the
vertical scroll bar on the left.

Steve Berman


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=scroll-bar-bug3.png
Content-Transfer-Encoding: base64
Content-Description: Scroll bar bug
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 08:58:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 03:58:05 2014
Received: from localhost ([127.0.0.1]:53381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xn1qO-0000eZ-Kw
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 03:58:05 -0500
Received: from mailfe01.swip.net ([212.247.154.1]:47972 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Xn1qL-0000e7-TL
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 03:58:02 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe01.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 542085169; Sat, 08 Nov 2014 09:58:00 +0100
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.0 \(1990.1\))
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
From: "Jan D." <jan.h.d@HIDDEN>
In-Reply-To: <83tx2aqg8p.fsf@HIDDEN>
Date: Sat, 8 Nov 2014 09:57:59 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <1918BF0D-0785-4A0F-8CDD-E421EC3F6649@HIDDEN>
References: <87ioiqaa63.fsf@HIDDEN> <83tx2aqg8p.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1990.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18990
Cc: Stephen Berman <stephen.berman@HIDDEN>, 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi.

> 8 nov 2014 kl. 08:54 skrev Eli Zaretskii <eliz@HIDDEN>:
>=20
>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Date: Sat, 08 Nov 2014 00:00:20 +0100
>>=20
>> Starting Emacs like this:
>>=20
>> emacs -Q --eval "(progn (modify-all-frames-parameters =
'((scroll-bar-width . 7))) (custom-set-variables '(scroll-bar-mode =
(quote left))))"
>>=20
>> the scroll bar is correctly display on the left, but its width is the
>> default, not the customized value, and it overlays the left fringe,
>> which is hence hidden.
>>=20
>> If another X window is moved over the Emacs frame (at least the left
>> side including the scroll bar), the left fringe becomes visible (only
>> partly if the other X window is not moved across the whole height of =
the
>> fringe) and the scroll bar width is correspondingly narrower (I =
didn't
>> measure but it looks like the width specified above); see the =
attached
>> screen shot, which also shows the incorrect scroll bar width and =
hidden
>> left fringe in the top Emacs frame.  As soon as the lower Emacs frame
>> regains focus, the scroll bar returns to full width and overlays the
>> left fringe again.
>>=20
>> Another display glitch conditioned by the above settings is that =
typing
>> until point or eol enters the right fringe causes the left fringe in
>> just the current line to become visible (and the scroll bar
>> correspondingly narrowed/truncated in that line); I have not =
succeeded
>> in getting a screen shot of this glitch.
>>=20
>> These display problems do not happen when the scroll bar is either on
>> the right or has its default width.  They also don't happen with the
>> non-toolkit-scroll-bar build.  They do happen with 24.3, the earliest
>> version I currently have (I don't have a non-toolkit-scroll-bar build =
of
>> 24.4 at hand but I guess it also has the problems).  (I haven't =
noticed
>> these problems before, since I've been using non-toolkit-scroll-bar
>> builds for a long time, and only since the 24.4 release have switched =
to
>> the toolkit scroll bar on the trunk to be able to test the horizontal
>> scroll bar.)
>=20
> Sounds like a GTK thing to me.  Does this happen if you use a
> different toolkit, like lucid or athena?

Some Gtk+ themes force a fixed width scrollbar, because they use =
bitmaps.
Emacs can set scroll bar width all it wants, it wont matter to the Gtk+ =
scroll bar.
It is difficult to solve.=20

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 08:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 03:54:42 2014
Received: from localhost ([127.0.0.1]:53377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xn1n7-0000ZC-S0
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 03:54:42 -0500
Received: from mout.gmx.net ([212.227.15.19]:50989)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Xn1n4-0000Z3-SP
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 03:54:39 -0500
Received: from [194.166.87.214] ([194.166.87.214]) by mail.gmx.com (mrgmx002)
 with ESMTPSA (Nemesis) id 0MXr3H-1XYxII3T4Z-00WlWr;
 Sat, 08 Nov 2014 09:54:37 +0100
Message-ID: <545DDA43.3000705@HIDDEN>
Date: Sat, 08 Nov 2014 09:54:27 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>, 18990 <at> debbugs.gnu.org
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
References: <87ioiqaa63.fsf@HIDDEN>
In-Reply-To: <87ioiqaa63.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:wbcFL4KommkV9qgS5iDW1txOP7OgRyvJ71BvaJQ7M3y+a1t5NIW
 0TJKd1ekJJoD4z35xZH/kZGzUnygG8zrbzTMWgvq1DYGpVpZxxdMqGoJ8XBMay/nrUh1RdB
 UmnRYTHNOOrb3ezEXGd77oRNT+3NiemLBpkkkfAT6MWu9OHfkYqI6xJa4eyFuazjjhR3u+Y
 FcuT5XE44j16x+YclxaOw==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18990
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Starting Emacs like this:
 >
 > emacs -Q --eval "(progn (modify-all-frames-parameters '((scroll-bar-width . 7))) (custom-set-variables '(scroll-bar-mode (quote left))))"
 >
 > the scroll bar is correctly display on the left, but its width is the
 > default, not the customized value, and it overlays the left fringe,
 > which is hence hidden.

There are two ways to change the width or height of a scroll bar with
GTK: Either by choosing an appropriate theme or by setting the
slider-width in a configuration file.  You can't change the size
individually from within Emacs and IMO we should prevent users from
trying to do so.  What happens currently is that Emacs internally uses
the height you specified and GTK continues to draw the scroolbar in its
default size over it.

 > These display problems do not happen when the scroll bar is either on
 > the right or has its default width.

There are similar problems, for example, with side-by-side windows.

 > They also don't happen with the
 > non-toolkit-scroll-bar build.  They do happen with 24.3, the earliest
 > version I currently have (I don't have a non-toolkit-scroll-bar build of
 > 24.4 at hand but I guess it also has the problems).

Non-GTK scroll bars should not have any such problems.

 > (I haven't noticed
 > these problems before, since I've been using non-toolkit-scroll-bar
 > builds for a long time, and only since the 24.4 release have switched to
 > the toolkit scroll bar on the trunk to be able to test the horizontal
 > scroll bar.)

The GTK horizontal scroll bar has similar problems.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at 18990 <at> debbugs.gnu.org:


Received: (at 18990) by debbugs.gnu.org; 8 Nov 2014 07:55:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 08 02:55:06 2014
Received: from localhost ([127.0.0.1]:53330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xn0rS-0007V2-3p
	for submit <at> debbugs.gnu.org; Sat, 08 Nov 2014 02:55:06 -0500
Received: from mtaout28.012.net.il ([80.179.55.184]:47477)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Xn0rP-0007Us-Fz
 for 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 02:55:04 -0500
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0NEP00200MQ1A700@HIDDEN> for
 18990 <at> debbugs.gnu.org; Sat, 08 Nov 2014 09:52:24 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NEP00I7EN7CD990@HIDDEN>; Sat, 08 Nov 2014 09:52:24 +0200 (IST)
Date: Sat, 08 Nov 2014 09:54:46 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18990: 25.0.50; Scroll bar display problems
In-reply-to: <87ioiqaa63.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Message-id: <83tx2aqg8p.fsf@HIDDEN>
References: <87ioiqaa63.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18990
Cc: 18990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Date: Sat, 08 Nov 2014 00:00:20 +0100
> 
> Starting Emacs like this:
> 
> emacs -Q --eval "(progn (modify-all-frames-parameters '((scroll-bar-width . 7))) (custom-set-variables '(scroll-bar-mode (quote left))))"
> 
> the scroll bar is correctly display on the left, but its width is the
> default, not the customized value, and it overlays the left fringe,
> which is hence hidden.
> 
> If another X window is moved over the Emacs frame (at least the left
> side including the scroll bar), the left fringe becomes visible (only
> partly if the other X window is not moved across the whole height of the
> fringe) and the scroll bar width is correspondingly narrower (I didn't
> measure but it looks like the width specified above); see the attached
> screen shot, which also shows the incorrect scroll bar width and hidden
> left fringe in the top Emacs frame.  As soon as the lower Emacs frame
> regains focus, the scroll bar returns to full width and overlays the
> left fringe again.
> 
> Another display glitch conditioned by the above settings is that typing
> until point or eol enters the right fringe causes the left fringe in
> just the current line to become visible (and the scroll bar
> correspondingly narrowed/truncated in that line); I have not succeeded
> in getting a screen shot of this glitch.
> 
> These display problems do not happen when the scroll bar is either on
> the right or has its default width.  They also don't happen with the
> non-toolkit-scroll-bar build.  They do happen with 24.3, the earliest
> version I currently have (I don't have a non-toolkit-scroll-bar build of
> 24.4 at hand but I guess it also has the problems).  (I haven't noticed
> these problems before, since I've been using non-toolkit-scroll-bar
> builds for a long time, and only since the 24.4 release have switched to
> the toolkit scroll bar on the trunk to be able to test the horizontal
> scroll bar.)

Sounds like a GTK thing to me.  Does this happen if you use a
different toolkit, like lucid or athena?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2014 23:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 07 18:01:00 2014
Received: from localhost ([127.0.0.1]:53249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XmsWW-0002ev-5x
	for submit <at> debbugs.gnu.org; Fri, 07 Nov 2014 18:01:00 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50577)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1XmsWQ-0002ef-5e
 for submit <at> debbugs.gnu.org; Fri, 07 Nov 2014 18:00:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <stephen.berman@HIDDEN>) id 1XmsWH-0008R9-D9
 for submit <at> debbugs.gnu.org; Fri, 07 Nov 2014 18:00:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38245)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <stephen.berman@HIDDEN>) id 1XmsWG-0008R2-WA
 for submit <at> debbugs.gnu.org; Fri, 07 Nov 2014 18:00:41 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52257)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <stephen.berman@HIDDEN>) id 1XmsW9-0004Qi-Ua
 for bug-gnu-emacs@HIDDEN; Fri, 07 Nov 2014 18:00:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <stephen.berman@HIDDEN>) id 1XmsW2-0008NR-Kc
 for bug-gnu-emacs@HIDDEN; Fri, 07 Nov 2014 18:00:33 -0500
Received: from mout.gmx.net ([212.227.17.22]:56090)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <stephen.berman@HIDDEN>) id 1XmsW2-0008Mn-2l
 for bug-gnu-emacs@HIDDEN; Fri, 07 Nov 2014 18:00:26 -0500
Received: from rosalinde.fritz.box ([89.245.106.128]) by mail.gmx.com
 (mrgmx102) with ESMTPSA (Nemesis) id 0LvzF3-1Y5PRo2VVF-017kjG for
 <bug-gnu-emacs@HIDDEN>; Sat, 08 Nov 2014 00:00:24 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; Scroll bar display problems
Date: Sat, 08 Nov 2014 00:00:20 +0100
Message-ID: <87ioiqaa63.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K0:KtMyH3hL7u+YslCaAZ0ec7vKsxQsiedD7AZiQ4Ubouu7BeWvTZi
 7huBrDYtI8qcewa1fR8VqqyaP1NaB3X+Xht0PT/+EwjVKEctn/nafDbVdbf/JCfQaX2kO6q
 qKUjahpyJ4x6yu1hDJkmjaxyPIlWhEn3owpgiEFCWRmy2Ecz/kMECXB38Dt/sBhfhwgCVhb
 fltWSIu5kqynMA15UB7GQ==
X-UI-Out-Filterresults: notjunk:1;
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

--=-=-=
Content-Type: text/plain

Starting Emacs like this:

emacs -Q --eval "(progn (modify-all-frames-parameters '((scroll-bar-width . 7))) (custom-set-variables '(scroll-bar-mode (quote left))))"

the scroll bar is correctly display on the left, but its width is the
default, not the customized value, and it overlays the left fringe,
which is hence hidden.

If another X window is moved over the Emacs frame (at least the left
side including the scroll bar), the left fringe becomes visible (only
partly if the other X window is not moved across the whole height of the
fringe) and the scroll bar width is correspondingly narrower (I didn't
measure but it looks like the width specified above); see the attached
screen shot, which also shows the incorrect scroll bar width and hidden
left fringe in the top Emacs frame.  As soon as the lower Emacs frame
regains focus, the scroll bar returns to full width and overlays the
left fringe again.

Another display glitch conditioned by the above settings is that typing
until point or eol enters the right fringe causes the left fringe in
just the current line to become visible (and the scroll bar
correspondingly narrowed/truncated in that line); I have not succeeded
in getting a screen shot of this glitch.

These display problems do not happen when the scroll bar is either on
the right or has its default width.  They also don't happen with the
non-toolkit-scroll-bar build.  They do happen with 24.3, the earliest
version I currently have (I don't have a non-toolkit-scroll-bar build of
24.4 at hand but I guess it also has the problems).  (I haven't noticed
these problems before, since I've been using non-toolkit-scroll-bar
builds for a long time, and only since the 24.4 release have switched to
the toolkit scroll bar on the trunk to be able to test the horizontal
scroll bar.)

In GNU Emacs 25.0.50.3 (x86_64-suse-linux-gnu, GTK+ Version 3.10.9)
 of 2014-11-07 on rosalinde
Repository revision: 118312 monnier@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11403901
System Description:	openSUSE 13.1 (Bottle) (x86_64)

Configured using:
 `configure 'CFLAGS=-g3 -O0''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=scroll-bar-bug.png
Content-Transfer-Encoding: base64
Content-Description: Scroll bar display problems
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=
--=-=-=--




Acknowledgement sent to Stephen Berman <stephen.berman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18990; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 29 Jun 2018 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.